{% extends "elections2021/base.html" %}
{% load static wagtailcore_tags wagtailimages_tags %}

{% block content %}
<article class="hero hero--image pt-24 pb-20 lg:pt-28 pb-10 candidate-detail__hero ">
  <div class="container container--default text-center lg:text-left">
    <a href="{{ page.get_region_list_url }}" class="btn text-sm btn--hoveractive btn--to-black">
      <div class="btn__body leading-5 bg-acidgreen text-black hover:text-white px-10 py-3">zpět na výpis</div>
    </a>
    <h1 class="head-alt-md md:head-alt-xl mt-9 text-black w-full lg:w-2/5 xl:w-2/3 text-center lg:text-left">{{ page.title }}</h1>
  </div>
</article>

<div class="container container--default py-8 lg:pb-24">
  <main>
    <div class="flex flex-col lg:flex-row lg:space-x-8 xl:space-x-16">
      <section class="lg:w-3/5 xl:w-2/3">
        <div class="content-block w-full">
          {{ page.resume|richtext }}
        </div>
      </section>
      <section class="lg:w-2/5 xl:w-1/3 pt-8 lg:pt-0 order-first lg:order-last candidate-detail__sidebar">
        <div class="container-padding--zero lg:card lg:elevation-10 lg:container-padding--auto">
          <div class="card__body p-4 lg:p-8">
            <div class="text-center mb-8">
              <div class="avatar relative avatar--2xl lg:avatar--3xl avatar--bordered candidate-detail__avatar">
                <div class="avatar-candidate-position">
                  <span class="font-alt text-2xl">{{ page.number }}</span>
                </div>
                {% image page.photo fill-224x224 %}
              </div>
            </div>
            <div class="flex items-center">
              <div class="mr-2">
                {% if page.is_pirate %}
                  <img src="{% static "elections2021/images/logo-pirati-21px.svg" %}">
                {% else %}
                  <img src="{% static "elections2021/images/logo-stan-21px.svg" %}">
                {% endif %}
              </div>
              <span class="font-bold font-condensed">{{ page.party_name }}</span>
            </div>
            <hr>
            <div>
              <p class="font-bold font-condensed text-base">{{ page.get_region_display }}</p>
              <p class="text-sm mt-1">{{ page.city }}</p>
            </div>
            <hr>
            <div class="space-y-4">
              <div>
                <p class="text-sm">
                  <i class="ico--info text-xs"></i> {{ page.age }} let
                </p>
              </div>
              <div>
                <p class="text-sm">
                  <i class="ico--info text-xs"></i> {{ page.occupation }}
                </p>
              </div>
            </div>
            <div>
              <hr>
              <div class="space-y-4">
                <div>
                  <div class="social-icon-group space-x-2 text-lg">
                    {% if page.facebook_url %}
                      <a href="{{ page.facebook_url }}" class="social-icon"><i class="ico--facebook"></i></a>
                    {% endif %}
                    {% if page.twitter_url %}
                      <a href="{{ page.twitter_url }}" class="social-icon"><i class="ico--twitter"></i></a>
                    {% endif %}
                    {% if page.instagram_url %}
                      <a href="{{ page.instagram_url }}" class="social-icon"><i class="ico--instagram"></i></a>
                    {% endif %}
                    {% if page.website_url %}
                      <a href="{{ page.website_url }}" class="social-icon"><i class="ico--home"></i></a>
                    {% endif %}
                    {% if page.email %}
                      <a href="mailto:{{ page.email }}" class="social-icon"><i class="ico--envelope"></i></a>
                    {% endif %}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </main>
</div>
{% endblock %}
